<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: OpenSim::OrientationsReference Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_user.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For MATLAB, Python, Java, and C++ users</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1OrientationsReference.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="classOpenSim_1_1OrientationsReference-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">OpenSim::OrientationsReference Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Reference values for the Orientations of model frames that will be used to to compute tracking errors.  
 <a href="classOpenSim_1_1OrientationsReference.html#details">More...</a></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for OpenSim::OrientationsReference:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classOpenSim_1_1OrientationsReference.png" usemap="#OpenSim::OrientationsReference_map" alt=""/>
  <map id="OpenSim::OrientationsReference_map" name="OpenSim::OrientationsReference_map">
<area href="classOpenSim_1_1StreamableReference__.html" alt="OpenSim::StreamableReference_&lt; SimTK::Rotation_&lt; double &gt; &gt;" shape="rect" coords="0,112,377,136"/>
<area href="classOpenSim_1_1Reference__.html" alt="OpenSim::Reference_&lt; SimTK::Rotation_&lt; double &gt; &gt;" shape="rect" coords="0,56,377,80"/>
<area href="classOpenSim_1_1Object.html" title="This is the base class for all OpenSim objects that are serializable (meaning they can be written to ..." alt="OpenSim::Object" shape="rect" coords="0,0,377,24"/>
<area href="classOpenSim_1_1BufferedOrientationsReference.html" title="Subclass of OrientationsReference that handles live data by providing a DataQueue that allows clients..." alt="OpenSim::BufferedOrientationsReference" shape="rect" coords="0,224,377,248"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td colspan="2"><div class="groupHeader">Auto-generated functions</div></td></tr>
<tr class="memitem:a09b6d6375de1c400d032207a143cb274"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOpenSim_1_1OrientationsReference.html">OrientationsReference</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1OrientationsReference.html#a09b6d6375de1c400d032207a143cb274">safeDownCast</a> (<a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a> *obj)</td></tr>
<tr class="memdesc:a09b6d6375de1c400d032207a143cb274"><td class="mdescLeft">&#160;</td><td class="mdescRight">For use in MATLAB and Python to access the concrete class.  <a href="classOpenSim_1_1OrientationsReference.html#a09b6d6375de1c400d032207a143cb274">More...</a><br /></td></tr>
<tr class="separator:a09b6d6375de1c400d032207a143cb274"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classOpenSim_1_1StreamableReference__"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classOpenSim_1_1StreamableReference__')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classOpenSim_1_1StreamableReference__.html">OpenSim::StreamableReference_&lt; SimTK::Rotation_&lt; double &gt; &gt;</a></td></tr>
<tr class="memitem:aa0703052ffbc9201af9d72b1c7309efa inherit pub_static_methods_classOpenSim_1_1StreamableReference__"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOpenSim_1_1StreamableReference__.html">StreamableReference_</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1StreamableReference__.html#aa0703052ffbc9201af9d72b1c7309efa">safeDownCast</a> (<a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a> *obj)</td></tr>
<tr class="memdesc:aa0703052ffbc9201af9d72b1c7309efa inherit pub_static_methods_classOpenSim_1_1StreamableReference__"><td class="mdescLeft">&#160;</td><td class="mdescRight">For use in MATLAB and Python to access the concrete class.  <a href="classOpenSim_1_1StreamableReference__.html#aa0703052ffbc9201af9d72b1c7309efa">More...</a><br /></td></tr>
<tr class="separator:aa0703052ffbc9201af9d72b1c7309efa inherit pub_static_methods_classOpenSim_1_1StreamableReference__"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ceb3d0c432583295480808e80d5caa3 inherit pub_static_methods_classOpenSim_1_1StreamableReference__"><td class="memItemLeft" align="right" valign="top">static const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1StreamableReference__.html#a9ceb3d0c432583295480808e80d5caa3">getClassName</a> ()</td></tr>
<tr class="memdesc:a9ceb3d0c432583295480808e80d5caa3 inherit pub_static_methods_classOpenSim_1_1StreamableReference__"><td class="mdescLeft">&#160;</td><td class="mdescRight">This returns "StreamableReference__&lt;T&gt;_".  <a href="classOpenSim_1_1StreamableReference__.html#a9ceb3d0c432583295480808e80d5caa3">More...</a><br /></td></tr>
<tr class="separator:a9ceb3d0c432583295480808e80d5caa3 inherit pub_static_methods_classOpenSim_1_1StreamableReference__"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classOpenSim_1_1Reference__"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classOpenSim_1_1Reference__')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classOpenSim_1_1Reference__.html">OpenSim::Reference_&lt; SimTK::Rotation_&lt; double &gt; &gt;</a></td></tr>
<tr class="memitem:a1dd9131d14b69f95f62ed19568f04f3d inherit pub_static_methods_classOpenSim_1_1Reference__"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOpenSim_1_1Reference__.html">Reference_</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Reference__.html#a1dd9131d14b69f95f62ed19568f04f3d">safeDownCast</a> (<a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a> *obj)</td></tr>
<tr class="memdesc:a1dd9131d14b69f95f62ed19568f04f3d inherit pub_static_methods_classOpenSim_1_1Reference__"><td class="mdescLeft">&#160;</td><td class="mdescRight">For use in MATLAB and Python to access the concrete class.  <a href="classOpenSim_1_1Reference__.html#a1dd9131d14b69f95f62ed19568f04f3d">More...</a><br /></td></tr>
<tr class="separator:a1dd9131d14b69f95f62ed19568f04f3d inherit pub_static_methods_classOpenSim_1_1Reference__"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac7be423bbc6f40050149c5ed048a6ea inherit pub_static_methods_classOpenSim_1_1Reference__"><td class="memItemLeft" align="right" valign="top">static const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Reference__.html#aac7be423bbc6f40050149c5ed048a6ea">getClassName</a> ()</td></tr>
<tr class="memdesc:aac7be423bbc6f40050149c5ed048a6ea inherit pub_static_methods_classOpenSim_1_1Reference__"><td class="mdescLeft">&#160;</td><td class="mdescRight">This returns "Reference__&lt;T&gt;_".  <a href="classOpenSim_1_1Reference__.html#aac7be423bbc6f40050149c5ed048a6ea">More...</a><br /></td></tr>
<tr class="separator:aac7be423bbc6f40050149c5ed048a6ea inherit pub_static_methods_classOpenSim_1_1Reference__"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classOpenSim_1_1Object"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classOpenSim_1_1Object')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td></tr>
<tr class="memitem:ace1fe7d9f4d7509b5d9e74fbe757b72d inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ace1fe7d9f4d7509b5d9e74fbe757b72d">registerType</a> (const <a class="el" href="classOpenSim_1_1Object.html">Object</a> &amp;defaultObject)</td></tr>
<tr class="memdesc:ace1fe7d9f4d7509b5d9e74fbe757b72d inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Register an instance of a class; if the class is already registered it will be replaced.  <a href="classOpenSim_1_1Object.html#ace1fe7d9f4d7509b5d9e74fbe757b72d">More...</a><br /></td></tr>
<tr class="separator:ace1fe7d9f4d7509b5d9e74fbe757b72d inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4f89d1f8a5d4b85dba51df9b207183b inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ad4f89d1f8a5d4b85dba51df9b207183b">renameType</a> (const std::string &amp;oldTypeName, const std::string &amp;newTypeName)</td></tr>
<tr class="memdesc:ad4f89d1f8a5d4b85dba51df9b207183b inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Support versioning by associating the current Object type with an old name.  <a href="classOpenSim_1_1Object.html#ad4f89d1f8a5d4b85dba51df9b207183b">More...</a><br /></td></tr>
<tr class="separator:ad4f89d1f8a5d4b85dba51df9b207183b inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa003166ace3f14af022b6650fc6fbd7 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classOpenSim_1_1Object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#afa003166ace3f14af022b6650fc6fbd7">getDefaultInstanceOfType</a> (const std::string &amp;concreteClassName)</td></tr>
<tr class="memdesc:afa003166ace3f14af022b6650fc6fbd7 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return a pointer to the default instance of the registered (concrete) Object whose class name is given, or NULL if the type is not registered.  <a href="classOpenSim_1_1Object.html#afa003166ace3f14af022b6650fc6fbd7">More...</a><br /></td></tr>
<tr class="separator:afa003166ace3f14af022b6650fc6fbd7 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77a7df6eb433b4e130ce7aa63b8d3d7e inherit pub_static_methods_classOpenSim_1_1Object"><td class="memTemplParams" colspan="2">template&lt;class T &gt; </td></tr>
<tr class="memitem:a77a7df6eb433b4e130ce7aa63b8d3d7e inherit pub_static_methods_classOpenSim_1_1Object"><td class="memTemplItemLeft" align="right" valign="top">static bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a77a7df6eb433b4e130ce7aa63b8d3d7e">isObjectTypeDerivedFrom</a> (const std::string &amp;concreteClassName)</td></tr>
<tr class="memdesc:a77a7df6eb433b4e130ce7aa63b8d3d7e inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if the given concrete object type represents a subclass of the template object type T, and thus could be referenced with a T*.  <a href="classOpenSim_1_1Object.html#a77a7df6eb433b4e130ce7aa63b8d3d7e">More...</a><br /></td></tr>
<tr class="separator:a77a7df6eb433b4e130ce7aa63b8d3d7e inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd44aecebc85d2f98ff3adf443e284d0 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOpenSim_1_1Object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#afd44aecebc85d2f98ff3adf443e284d0">newInstanceOfType</a> (const std::string &amp;concreteClassName)</td></tr>
<tr class="memdesc:afd44aecebc85d2f98ff3adf443e284d0 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new instance of the concrete Object type whose class name is given as <em>concreteClassName</em>.  <a href="classOpenSim_1_1Object.html#afd44aecebc85d2f98ff3adf443e284d0">More...</a><br /></td></tr>
<tr class="separator:afd44aecebc85d2f98ff3adf443e284d0 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0296f61a06c319786a46d29743135d74 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a0296f61a06c319786a46d29743135d74">getRegisteredTypenames</a> (<a class="el" href="classOpenSim_1_1Array.html">Array</a>&lt; std::string &gt; &amp;typeNames)</td></tr>
<tr class="memdesc:a0296f61a06c319786a46d29743135d74 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve all the typenames registered so far.  <a href="classOpenSim_1_1Object.html#a0296f61a06c319786a46d29743135d74">More...</a><br /></td></tr>
<tr class="separator:a0296f61a06c319786a46d29743135d74 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34f0039fba61c2fef84ba6bf8c07de6d inherit pub_static_methods_classOpenSim_1_1Object"><td class="memTemplParams" colspan="2">template&lt;class T &gt; </td></tr>
<tr class="memitem:a34f0039fba61c2fef84ba6bf8c07de6d inherit pub_static_methods_classOpenSim_1_1Object"><td class="memTemplItemLeft" align="right" valign="top">static void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a34f0039fba61c2fef84ba6bf8c07de6d">getRegisteredObjectsOfGivenType</a> (<a class="el" href="classOpenSim_1_1ArrayPtrs.html">ArrayPtrs</a>&lt; T &gt; &amp;rArray)</td></tr>
<tr class="memdesc:a34f0039fba61c2fef84ba6bf8c07de6d inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return an array of pointers to the default instances of all registered (concrete) Object types that derive from a given Object-derived type that does not have to be concrete.  <a href="classOpenSim_1_1Object.html#a34f0039fba61c2fef84ba6bf8c07de6d">More...</a><br /></td></tr>
<tr class="separator:a34f0039fba61c2fef84ba6bf8c07de6d inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a302c40df3290679f524ae642bd29ea41 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a302c40df3290679f524ae642bd29ea41">PrintPropertyInfo</a> (std::ostream &amp;os, const std::string &amp;classNameDotPropertyName, bool printFlagInfo=true)</td></tr>
<tr class="memdesc:a302c40df3290679f524ae642bd29ea41 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Dump formatted property information to a given output stream, useful for creating a "help" facility for registered objects.  <a href="classOpenSim_1_1Object.html#a302c40df3290679f524ae642bd29ea41">More...</a><br /></td></tr>
<tr class="separator:a302c40df3290679f524ae642bd29ea41 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6fdbac7ab46d14e883a48e2398596a1 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#aa6fdbac7ab46d14e883a48e2398596a1">PrintPropertyInfo</a> (std::ostream &amp;os, const std::string &amp;className, const std::string &amp;propertyName, bool printFlagInfo=true)</td></tr>
<tr class="memdesc:aa6fdbac7ab46d14e883a48e2398596a1 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Same as the other signature but the class name and property name are provided as two separate strings.  <a href="classOpenSim_1_1Object.html#aa6fdbac7ab46d14e883a48e2398596a1">More...</a><br /></td></tr>
<tr class="separator:aa6fdbac7ab46d14e883a48e2398596a1 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7d860a7849ddbb27885673dbf5dbf76 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOpenSim_1_1Object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ab7d860a7849ddbb27885673dbf5dbf76">makeObjectFromFile</a> (const std::string &amp;fileName)</td></tr>
<tr class="memdesc:ab7d860a7849ddbb27885673dbf5dbf76 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create an OpenSim object whose type is based on the tag at the root node of the XML file passed in.  <a href="classOpenSim_1_1Object.html#ab7d860a7849ddbb27885673dbf5dbf76">More...</a><br /></td></tr>
<tr class="separator:ab7d860a7849ddbb27885673dbf5dbf76 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37944898e801cba2bf6f772272df2649 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a37944898e801cba2bf6f772272df2649">getClassName</a> ()</td></tr>
<tr class="memdesc:a37944898e801cba2bf6f772272df2649 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the name of this class as a string; i.e., "Object".  <a href="classOpenSim_1_1Object.html#a37944898e801cba2bf6f772272df2649">More...</a><br /></td></tr>
<tr class="separator:a37944898e801cba2bf6f772272df2649 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc42e7d52c371b14898ce7e13e55700c inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#adc42e7d52c371b14898ce7e13e55700c">setSerializeAllDefaults</a> (bool shouldSerializeDefaults)</td></tr>
<tr class="memdesc:adc42e7d52c371b14898ce7e13e55700c inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Static function to control whether all registered objects and their properties are written to the defaults section of output files rather than only those values for which the default was explicitly overwritten when read in from an input file or set programmatically.  <a href="classOpenSim_1_1Object.html#adc42e7d52c371b14898ce7e13e55700c">More...</a><br /></td></tr>
<tr class="separator:adc42e7d52c371b14898ce7e13e55700c inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a533e0a9420d312a73cb9a5d8efd17081 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a533e0a9420d312a73cb9a5d8efd17081">getSerializeAllDefaults</a> ()</td></tr>
<tr class="memdesc:a533e0a9420d312a73cb9a5d8efd17081 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Report the value of the "serialize all defaults" flag.  <a href="classOpenSim_1_1Object.html#a533e0a9420d312a73cb9a5d8efd17081">More...</a><br /></td></tr>
<tr class="separator:a533e0a9420d312a73cb9a5d8efd17081 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9debf9775f9e8c0b517654cb19669518 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a9debf9775f9e8c0b517654cb19669518">isKindOf</a> (const char *type)</td></tr>
<tr class="memdesc:a9debf9775f9e8c0b517654cb19669518 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if the passed-in string is "Object"; each Object-derived class defines a method of this name for its own class name.  <a href="classOpenSim_1_1Object.html#a9debf9775f9e8c0b517654cb19669518">More...</a><br /></td></tr>
<tr class="separator:a9debf9775f9e8c0b517654cb19669518 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46f10ccc4bc8ab3b0b4e68d3ab75f892 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a46f10ccc4bc8ab3b0b4e68d3ab75f892">setDebugLevel</a> (int newLevel)</td></tr>
<tr class="memdesc:a46f10ccc4bc8ab3b0b4e68d3ab75f892 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the amount of logging output.  <a href="classOpenSim_1_1Object.html#a46f10ccc4bc8ab3b0b4e68d3ab75f892">More...</a><br /></td></tr>
<tr class="separator:a46f10ccc4bc8ab3b0b4e68d3ab75f892 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96486fa12910478db9b65384546d9e97 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a96486fa12910478db9b65384546d9e97">getDebugLevel</a> ()</td></tr>
<tr class="memdesc:a96486fa12910478db9b65384546d9e97 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current setting of debug level.  <a href="classOpenSim_1_1Object.html#a96486fa12910478db9b65384546d9e97">More...</a><br /></td></tr>
<tr class="separator:a96486fa12910478db9b65384546d9e97 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72643bf97b601311912f678bb3770abe inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOpenSim_1_1Object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a72643bf97b601311912f678bb3770abe">SafeCopy</a> (const <a class="el" href="classOpenSim_1_1Object.html">Object</a> *aObject)</td></tr>
<tr class="memdesc:a72643bf97b601311912f678bb3770abe inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use the <a class="el" href="classOpenSim_1_1Object.html#af221c900c5447df9928f1786469ef1b8" title="Create a new heap-allocated copy of the concrete object to which this Object refers.">clone()</a> method to duplicate the given object unless the pointer is null in which case null is returned.  <a href="classOpenSim_1_1Object.html#a72643bf97b601311912f678bb3770abe">More...</a><br /></td></tr>
<tr class="separator:a72643bf97b601311912f678bb3770abe inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a6f962db2c026cce6176ed5017e805c inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a0a6f962db2c026cce6176ed5017e805c">RegisterType</a> (const <a class="el" href="classOpenSim_1_1Object.html">Object</a> &amp;defaultObject)</td></tr>
<tr class="memdesc:a0a6f962db2c026cce6176ed5017e805c inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">OBSOLETE alternate name for <a class="el" href="classOpenSim_1_1Object.html#ace1fe7d9f4d7509b5d9e74fbe757b72d" title="Register an instance of a class; if the class is already registered it will be replaced.">registerType()</a>.  <a href="classOpenSim_1_1Object.html#a0a6f962db2c026cce6176ed5017e805c">More...</a><br /></td></tr>
<tr class="separator:a0a6f962db2c026cce6176ed5017e805c inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b7d3f95ec3dcec17bd5fc17de4b3062 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a2b7d3f95ec3dcec17bd5fc17de4b3062">RenameType</a> (const std::string &amp;oldName, const std::string &amp;newName)</td></tr>
<tr class="memdesc:a2b7d3f95ec3dcec17bd5fc17de4b3062 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">OBSOLETE alternate name for <a class="el" href="classOpenSim_1_1Object.html#ad4f89d1f8a5d4b85dba51df9b207183b" title="Support versioning by associating the current Object type with an old name.">renameType()</a>.  <a href="classOpenSim_1_1Object.html#a2b7d3f95ec3dcec17bd5fc17de4b3062">More...</a><br /></td></tr>
<tr class="separator:a2b7d3f95ec3dcec17bd5fc17de4b3062 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Auto-generated functions &lt;br&gt;</h2></td></tr>
<tr class="memitem:a2d8208b72c97bcfaff5cf99efd25fd63"><td class="memItemLeft" align="right" valign="top">static const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1OrientationsReference.html#a2d8208b72c97bcfaff5cf99efd25fd63">getClassName</a> ()</td></tr>
<tr class="memdesc:a2d8208b72c97bcfaff5cf99efd25fd63"><td class="mdescLeft">&#160;</td><td class="mdescRight">This returns "OrientationsReference" <br  />
  <a href="classOpenSim_1_1OrientationsReference.html#a2d8208b72c97bcfaff5cf99efd25fd63">More...</a><br /></td></tr>
<tr class="separator:a2d8208b72c97bcfaff5cf99efd25fd63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d7a3eca54b18efc8930f91d008d2722"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1OrientationsReference.html">OrientationsReference</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1OrientationsReference.html#a1d7a3eca54b18efc8930f91d008d2722">clone</a> () const override</td></tr>
<tr class="memdesc:a1d7a3eca54b18efc8930f91d008d2722"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new heap-allocated copy of the concrete object to which this Object refers.  <a href="classOpenSim_1_1OrientationsReference.html#a1d7a3eca54b18efc8930f91d008d2722">More...</a><br /></td></tr>
<tr class="separator:a1d7a3eca54b18efc8930f91d008d2722"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af28a696c3ce39c66e13f71ae9daf7c1a"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1OrientationsReference.html#af28a696c3ce39c66e13f71ae9daf7c1a">getConcreteClassName</a> () const override</td></tr>
<tr class="memdesc:af28a696c3ce39c66e13f71ae9daf7c1a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the class name of the concrete Object-derived class of the actual object referenced by this Object, as a string.  <a href="classOpenSim_1_1OrientationsReference.html#af28a696c3ce39c66e13f71ae9daf7c1a">More...</a><br /></td></tr>
<tr class="separator:af28a696c3ce39c66e13f71ae9daf7c1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_classOpenSim_1_1StreamableReference__"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classOpenSim_1_1StreamableReference__')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classOpenSim_1_1StreamableReference__.html">OpenSim::StreamableReference_&lt; SimTK::Rotation_&lt; double &gt; &gt;</a></td></tr>
<tr class="memitem:a4f7fccf2f1fd0c0a7894cc44999b1289 inherit pub_methods_classOpenSim_1_1StreamableReference__"><td class="memItemLeft" align="right" valign="top">virtual double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1StreamableReference__.html#a4f7fccf2f1fd0c0a7894cc44999b1289">getNextValuesAndTime</a> (SimTK::Array_&lt; SimTK::Rotation_&lt; double &gt; &gt; &amp;values)=0</td></tr>
<tr class="separator:a4f7fccf2f1fd0c0a7894cc44999b1289 inherit pub_methods_classOpenSim_1_1StreamableReference__"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31c8f0cced9ba6236f9cc3543761c332 inherit pub_methods_classOpenSim_1_1StreamableReference__"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1StreamableReference__.html#a31c8f0cced9ba6236f9cc3543761c332">hasNext</a> () const override=0</td></tr>
<tr class="memdesc:a31c8f0cced9ba6236f9cc3543761c332 inherit pub_methods_classOpenSim_1_1StreamableReference__"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicate whether this Reference can provide discretized data or not.  <a href="classOpenSim_1_1StreamableReference__.html#a31c8f0cced9ba6236f9cc3543761c332">More...</a><br /></td></tr>
<tr class="separator:a31c8f0cced9ba6236f9cc3543761c332 inherit pub_methods_classOpenSim_1_1StreamableReference__"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classOpenSim_1_1Reference__"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classOpenSim_1_1Reference__')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classOpenSim_1_1Reference__.html">OpenSim::Reference_&lt; SimTK::Rotation_&lt; double &gt; &gt;</a></td></tr>
<tr class="memitem:a9b9ab515784d60a6f075111385103bb7 inherit pub_methods_classOpenSim_1_1Reference__"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Reference__.html#a9b9ab515784d60a6f075111385103bb7">~Reference_</a> ()</td></tr>
<tr class="separator:a9b9ab515784d60a6f075111385103bb7 inherit pub_methods_classOpenSim_1_1Reference__"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad286e8b20e55d2517852b7635e6446af inherit pub_methods_classOpenSim_1_1Reference__"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Reference__.html#ad286e8b20e55d2517852b7635e6446af">Reference_</a> ()</td></tr>
<tr class="separator:ad286e8b20e55d2517852b7635e6446af inherit pub_methods_classOpenSim_1_1Reference__"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa072ada1c9f2a1570a9d81d042540b50 inherit pub_methods_classOpenSim_1_1Reference__"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Reference__.html#aa072ada1c9f2a1570a9d81d042540b50">Reference_</a> (std::string name)</td></tr>
<tr class="separator:aa072ada1c9f2a1570a9d81d042540b50 inherit pub_methods_classOpenSim_1_1Reference__"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ed6321db44a3b01ab451826276c4b82 inherit pub_methods_classOpenSim_1_1Reference__"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Reference__.html#a4ed6321db44a3b01ab451826276c4b82">getNumRefs</a> () const=0</td></tr>
<tr class="memdesc:a4ed6321db44a3b01ab451826276c4b82 inherit pub_methods_classOpenSim_1_1Reference__"><td class="mdescLeft">&#160;</td><td class="mdescRight">get the number of referettes (individual signals) in this Reference.  <a href="classOpenSim_1_1Reference__.html#a4ed6321db44a3b01ab451826276c4b82">More...</a><br /></td></tr>
<tr class="separator:a4ed6321db44a3b01ab451826276c4b82 inherit pub_methods_classOpenSim_1_1Reference__"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80c8bc90b8fab096c62e78803a2fdb46 inherit pub_methods_classOpenSim_1_1Reference__"><td class="memItemLeft" align="right" valign="top">virtual SimTK::Vec2&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Reference__.html#a80c8bc90b8fab096c62e78803a2fdb46">getValidTimeRange</a> () const</td></tr>
<tr class="memdesc:a80c8bc90b8fab096c62e78803a2fdb46 inherit pub_methods_classOpenSim_1_1Reference__"><td class="mdescLeft">&#160;</td><td class="mdescRight">get the time range for which the Reference is valid, which can and will be finite if the reference encapsulates experimental data.  <a href="classOpenSim_1_1Reference__.html#a80c8bc90b8fab096c62e78803a2fdb46">More...</a><br /></td></tr>
<tr class="separator:a80c8bc90b8fab096c62e78803a2fdb46 inherit pub_methods_classOpenSim_1_1Reference__"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06793941a468e6888ebc7cc660e69a9e inherit pub_methods_classOpenSim_1_1Reference__"><td class="memItemLeft" align="right" valign="top">virtual const SimTK::Array_&lt; std::string &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Reference__.html#a06793941a468e6888ebc7cc660e69a9e">getNames</a> () const=0</td></tr>
<tr class="memdesc:a06793941a468e6888ebc7cc660e69a9e inherit pub_methods_classOpenSim_1_1Reference__"><td class="mdescLeft">&#160;</td><td class="mdescRight">get the name(s) of the reference or its referettes  <a href="classOpenSim_1_1Reference__.html#a06793941a468e6888ebc7cc660e69a9e">More...</a><br /></td></tr>
<tr class="separator:a06793941a468e6888ebc7cc660e69a9e inherit pub_methods_classOpenSim_1_1Reference__"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a8c4d68128db6d3255bfb42d0a4c4d5 inherit pub_methods_classOpenSim_1_1Reference__"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Reference__.html#a9a8c4d68128db6d3255bfb42d0a4c4d5">getWeights</a> (const SimTK::State &amp;s, SimTK::Array_&lt; double &gt; &amp;weights) const=0</td></tr>
<tr class="memdesc:a9a8c4d68128db6d3255bfb42d0a4c4d5 inherit pub_methods_classOpenSim_1_1Reference__"><td class="mdescLeft">&#160;</td><td class="mdescRight">get the weighting (importance) of meeting this Reference  <a href="classOpenSim_1_1Reference__.html#a9a8c4d68128db6d3255bfb42d0a4c4d5">More...</a><br /></td></tr>
<tr class="separator:a9a8c4d68128db6d3255bfb42d0a4c4d5 inherit pub_methods_classOpenSim_1_1Reference__"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e953b99bcd0e63992cf97a9027d5350 inherit pub_methods_classOpenSim_1_1Reference__"><td class="memItemLeft" align="right" valign="top">virtual SimTK::Array_&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Reference__.html#a0e953b99bcd0e63992cf97a9027d5350">getWeights</a> (const SimTK::State &amp;s) const</td></tr>
<tr class="separator:a0e953b99bcd0e63992cf97a9027d5350 inherit pub_methods_classOpenSim_1_1Reference__"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e6614499432e151f5d6e73fde77dc39 inherit pub_methods_classOpenSim_1_1Reference__"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Reference__.html#a4e6614499432e151f5d6e73fde77dc39">getValuesAtTime</a> (double time, SimTK::Array_&lt; SimTK::Rotation_&lt; double &gt; &gt; &amp;values) const=0</td></tr>
<tr class="memdesc:a4e6614499432e151f5d6e73fde77dc39 inherit pub_methods_classOpenSim_1_1Reference__"><td class="mdescLeft">&#160;</td><td class="mdescRight">get the values of the Reference signals as a function of the passed in time  <a href="classOpenSim_1_1Reference__.html#a4e6614499432e151f5d6e73fde77dc39">More...</a><br /></td></tr>
<tr class="separator:a4e6614499432e151f5d6e73fde77dc39 inherit pub_methods_classOpenSim_1_1Reference__"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45439ff0f5b599e749bc6102fb135241 inherit pub_methods_classOpenSim_1_1Reference__"><td class="memItemLeft" align="right" valign="top">virtual SimTK::Array_&lt; SimTK::Rotation_&lt; double &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Reference__.html#a45439ff0f5b599e749bc6102fb135241">getValues</a> (double time) const</td></tr>
<tr class="separator:a45439ff0f5b599e749bc6102fb135241 inherit pub_methods_classOpenSim_1_1Reference__"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classOpenSim_1_1Object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classOpenSim_1_1Object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td></tr>
<tr class="memitem:a5dc026c632531b193236dfaa65962d40 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a5dc026c632531b193236dfaa65962d40">~Object</a> ()</td></tr>
<tr class="memdesc:a5dc026c632531b193236dfaa65962d40 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual destructor for cleanup.  <a href="classOpenSim_1_1Object.html#a5dc026c632531b193236dfaa65962d40">More...</a><br /></td></tr>
<tr class="separator:a5dc026c632531b193236dfaa65962d40 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23efd5c15fb67f5dcba46f4f381b8908 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a23efd5c15fb67f5dcba46f4f381b8908">isEqualTo</a> (const <a class="el" href="classOpenSim_1_1Object.html">Object</a> &amp;aObject) const</td></tr>
<tr class="memdesc:a23efd5c15fb67f5dcba46f4f381b8908 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Equality operator wrapper for use from languages not supporting operator overloading.  <a href="classOpenSim_1_1Object.html#a23efd5c15fb67f5dcba46f4f381b8908">More...</a><br /></td></tr>
<tr class="separator:a23efd5c15fb67f5dcba46f4f381b8908 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1296dda9711e0e061fd29b88eacae796 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1Object.html">Object</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a1296dda9711e0e061fd29b88eacae796">operator=</a> (const <a class="el" href="classOpenSim_1_1Object.html">Object</a> &amp;aObject)</td></tr>
<tr class="memdesc:a1296dda9711e0e061fd29b88eacae796 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy assignment copies he base class fields, including the properties.  <a href="classOpenSim_1_1Object.html#a1296dda9711e0e061fd29b88eacae796">More...</a><br /></td></tr>
<tr class="separator:a1296dda9711e0e061fd29b88eacae796 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac907289709a4b5a40f153851144f14a7 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ac907289709a4b5a40f153851144f14a7">operator==</a> (const <a class="el" href="classOpenSim_1_1Object.html">Object</a> &amp;aObject) const</td></tr>
<tr class="memdesc:ac907289709a4b5a40f153851144f14a7 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Determine if two objects are equal.  <a href="classOpenSim_1_1Object.html#ac907289709a4b5a40f153851144f14a7">More...</a><br /></td></tr>
<tr class="separator:ac907289709a4b5a40f153851144f14a7 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f6579e10ac312d2ba5860a5c71be065 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a9f6579e10ac312d2ba5860a5c71be065">operator&lt;</a> (const <a class="el" href="classOpenSim_1_1Object.html">Object</a> &amp;aObject) const</td></tr>
<tr class="memdesc:a9f6579e10ac312d2ba5860a5c71be065 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Provide an ordering for objects so they can be put in sorted containers.  <a href="classOpenSim_1_1Object.html#a9f6579e10ac312d2ba5860a5c71be065">More...</a><br /></td></tr>
<tr class="separator:a9f6579e10ac312d2ba5860a5c71be065 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44921f417260a606255a162bfaa74e85 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a44921f417260a606255a162bfaa74e85">setName</a> (const std::string &amp;name)</td></tr>
<tr class="memdesc:a44921f417260a606255a162bfaa74e85 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of the <a class="el" href="classOpenSim_1_1Object.html" title="This is the base class for all OpenSim objects that are serializable (meaning they can be written to ...">Object</a>.  <a href="classOpenSim_1_1Object.html#a44921f417260a606255a162bfaa74e85">More...</a><br /></td></tr>
<tr class="separator:a44921f417260a606255a162bfaa74e85 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8305bf8b07e36357ecd5974557b4f1f6 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a8305bf8b07e36357ecd5974557b4f1f6">getName</a> () const</td></tr>
<tr class="memdesc:a8305bf8b07e36357ecd5974557b4f1f6 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of this <a class="el" href="classOpenSim_1_1Object.html" title="This is the base class for all OpenSim objects that are serializable (meaning they can be written to ...">Object</a>.  <a href="classOpenSim_1_1Object.html#a8305bf8b07e36357ecd5974557b4f1f6">More...</a><br /></td></tr>
<tr class="separator:a8305bf8b07e36357ecd5974557b4f1f6 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a736967772e266744409791c21a94dd80 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a736967772e266744409791c21a94dd80">setDescription</a> (const std::string &amp;description)</td></tr>
<tr class="memdesc:a736967772e266744409791c21a94dd80 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set description, a one-liner summary.  <a href="classOpenSim_1_1Object.html#a736967772e266744409791c21a94dd80">More...</a><br /></td></tr>
<tr class="separator:a736967772e266744409791c21a94dd80 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae4380e83784a756db86db4a219a7bf7 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#aae4380e83784a756db86db4a219a7bf7">getDescription</a> () const</td></tr>
<tr class="memdesc:aae4380e83784a756db86db4a219a7bf7 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get description, a one-liner summary.  <a href="classOpenSim_1_1Object.html#aae4380e83784a756db86db4a219a7bf7">More...</a><br /></td></tr>
<tr class="separator:aae4380e83784a756db86db4a219a7bf7 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02daafc67d38d371b59b91dbc1a649c2 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a02daafc67d38d371b59b91dbc1a649c2">getAuthors</a> () const</td></tr>
<tr class="memdesc:a02daafc67d38d371b59b91dbc1a649c2 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get Authors of this <a class="el" href="classOpenSim_1_1Object.html" title="This is the base class for all OpenSim objects that are serializable (meaning they can be written to ...">Object</a>.  <a href="classOpenSim_1_1Object.html#a02daafc67d38d371b59b91dbc1a649c2">More...</a><br /></td></tr>
<tr class="separator:a02daafc67d38d371b59b91dbc1a649c2 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5543fa91645f86c336d121cf6da60dfd inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a5543fa91645f86c336d121cf6da60dfd">setAuthors</a> (const std::string &amp;authors)</td></tr>
<tr class="memdesc:a5543fa91645f86c336d121cf6da60dfd inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Authors of this object.  <a href="classOpenSim_1_1Object.html#a5543fa91645f86c336d121cf6da60dfd">More...</a><br /></td></tr>
<tr class="separator:a5543fa91645f86c336d121cf6da60dfd inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab29889c8cc7234150faf9c65e8502d37 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ab29889c8cc7234150faf9c65e8502d37">getReferences</a> () const</td></tr>
<tr class="memdesc:ab29889c8cc7234150faf9c65e8502d37 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get references or publications to cite if using this object.  <a href="classOpenSim_1_1Object.html#ab29889c8cc7234150faf9c65e8502d37">More...</a><br /></td></tr>
<tr class="separator:ab29889c8cc7234150faf9c65e8502d37 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cf59c40ec8751e01d736db3383cbe50 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a3cf59c40ec8751e01d736db3383cbe50">setReferences</a> (const std::string &amp;references)</td></tr>
<tr class="memdesc:a3cf59c40ec8751e01d736db3383cbe50 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set references or publications to cite if using this object.  <a href="classOpenSim_1_1Object.html#a3cf59c40ec8751e01d736db3383cbe50">More...</a><br /></td></tr>
<tr class="separator:a3cf59c40ec8751e01d736db3383cbe50 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade85bfec32b1adcf1620f17a9ccb0085 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ade85bfec32b1adcf1620f17a9ccb0085">getNumProperties</a> () const</td></tr>
<tr class="memdesc:ade85bfec32b1adcf1620f17a9ccb0085 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Determine how many properties are stored with this Object.  <a href="classOpenSim_1_1Object.html#ade85bfec32b1adcf1620f17a9ccb0085">More...</a><br /></td></tr>
<tr class="separator:ade85bfec32b1adcf1620f17a9ccb0085 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3a688f6aade423d981f7d401de25659 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOpenSim_1_1AbstractProperty.html">AbstractProperty</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ab3a688f6aade423d981f7d401de25659">getPropertyByIndex</a> (int propertyIndex) const</td></tr>
<tr class="memdesc:ab3a688f6aade423d981f7d401de25659 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a const reference to a property by its index number, returned as an <a class="el" href="classOpenSim_1_1AbstractProperty.html" title="An abstract property is a serializable (name,value) pair, for which we do not know the type of the va...">AbstractProperty</a>.  <a href="classOpenSim_1_1Object.html#ab3a688f6aade423d981f7d401de25659">More...</a><br /></td></tr>
<tr class="separator:ab3a688f6aade423d981f7d401de25659 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3f81ef13cb278c49785cbb2236cc2b0 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1AbstractProperty.html">AbstractProperty</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ac3f81ef13cb278c49785cbb2236cc2b0">updPropertyByIndex</a> (int propertyIndex)</td></tr>
<tr class="memdesc:ac3f81ef13cb278c49785cbb2236cc2b0 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a writable reference to a property by its index number, returned as an <a class="el" href="classOpenSim_1_1AbstractProperty.html" title="An abstract property is a serializable (name,value) pair, for which we do not know the type of the va...">AbstractProperty</a>.  <a href="classOpenSim_1_1Object.html#ac3f81ef13cb278c49785cbb2236cc2b0">More...</a><br /></td></tr>
<tr class="separator:ac3f81ef13cb278c49785cbb2236cc2b0 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a118a4dbce4593eb71fbc7c5a66abf9 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a7a118a4dbce4593eb71fbc7c5a66abf9">hasProperty</a> (const std::string &amp;name) const</td></tr>
<tr class="memdesc:a7a118a4dbce4593eb71fbc7c5a66abf9 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if this Object has a property of any type with the given <em>name</em>, which must not be empty.  <a href="classOpenSim_1_1Object.html#a7a118a4dbce4593eb71fbc7c5a66abf9">More...</a><br /></td></tr>
<tr class="separator:a7a118a4dbce4593eb71fbc7c5a66abf9 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c5fbd22819482c9c25799c4ff3b1b66 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOpenSim_1_1AbstractProperty.html">AbstractProperty</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a1c5fbd22819482c9c25799c4ff3b1b66">getPropertyByName</a> (const std::string &amp;name) const</td></tr>
<tr class="memdesc:a1c5fbd22819482c9c25799c4ff3b1b66 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a const reference to a property by its name, returned as an <a class="el" href="classOpenSim_1_1AbstractProperty.html" title="An abstract property is a serializable (name,value) pair, for which we do not know the type of the va...">AbstractProperty</a>.  <a href="classOpenSim_1_1Object.html#a1c5fbd22819482c9c25799c4ff3b1b66">More...</a><br /></td></tr>
<tr class="separator:a1c5fbd22819482c9c25799c4ff3b1b66 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62268af4017fc9d547ae718b3cb3733d inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1AbstractProperty.html">AbstractProperty</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a62268af4017fc9d547ae718b3cb3733d">updPropertyByName</a> (const std::string &amp;name)</td></tr>
<tr class="memdesc:a62268af4017fc9d547ae718b3cb3733d inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a writable reference to a property by its name, returned as an <a class="el" href="classOpenSim_1_1AbstractProperty.html" title="An abstract property is a serializable (name,value) pair, for which we do not know the type of the va...">AbstractProperty</a>.  <a href="classOpenSim_1_1Object.html#a62268af4017fc9d547ae718b3cb3733d">More...</a><br /></td></tr>
<tr class="separator:a62268af4017fc9d547ae718b3cb3733d inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11da800c7f37191c3d509b61dcd4cfed inherit pub_methods_classOpenSim_1_1Object"><td class="memTemplParams" colspan="2">template&lt;class T &gt; </td></tr>
<tr class="memitem:a11da800c7f37191c3d509b61dcd4cfed inherit pub_methods_classOpenSim_1_1Object"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a11da800c7f37191c3d509b61dcd4cfed">hasProperty</a> () const</td></tr>
<tr class="memdesc:a11da800c7f37191c3d509b61dcd4cfed inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if this Object contains an unnamed, one-object property that contains objects of the given template type T.  <a href="classOpenSim_1_1Object.html#a11da800c7f37191c3d509b61dcd4cfed">More...</a><br /></td></tr>
<tr class="separator:a11da800c7f37191c3d509b61dcd4cfed inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5fcf7a8d6f90b18e43800aea7c4b740 inherit pub_methods_classOpenSim_1_1Object"><td class="memTemplParams" colspan="2">template&lt;class T &gt; </td></tr>
<tr class="memitem:ae5fcf7a8d6f90b18e43800aea7c4b740 inherit pub_methods_classOpenSim_1_1Object"><td class="memTemplItemLeft" align="right" valign="top">const <a class="el" href="classOpenSim_1_1Property.html">Property</a>&lt; T &gt; &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ae5fcf7a8d6f90b18e43800aea7c4b740">getProperty</a> (const PropertyIndex &amp;index) const</td></tr>
<tr class="memdesc:ae5fcf7a8d6f90b18e43800aea7c4b740 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get property of known type <a class="el" href="classOpenSim_1_1Property.html" title="A Property&lt;T&gt; is a serializable (name, list-of-values) pair, where each value is of type T.">Property</a>&lt;T&gt; as a const reference; the property must be present and have the right type.  <a href="classOpenSim_1_1Object.html#ae5fcf7a8d6f90b18e43800aea7c4b740">More...</a><br /></td></tr>
<tr class="separator:ae5fcf7a8d6f90b18e43800aea7c4b740 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a351933e7ddc7a7e761e2a8a9cd12728b inherit pub_methods_classOpenSim_1_1Object"><td class="memTemplParams" colspan="2">template&lt;class T &gt; </td></tr>
<tr class="memitem:a351933e7ddc7a7e761e2a8a9cd12728b inherit pub_methods_classOpenSim_1_1Object"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1Property.html">Property</a>&lt; T &gt; &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a351933e7ddc7a7e761e2a8a9cd12728b">updProperty</a> (const PropertyIndex &amp;index)</td></tr>
<tr class="memdesc:a351933e7ddc7a7e761e2a8a9cd12728b inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get property of known type <a class="el" href="classOpenSim_1_1Property.html" title="A Property&lt;T&gt; is a serializable (name, list-of-values) pair, where each value is of type T.">Property</a>&lt;T&gt; as a writable reference; the property must be present and have the right type.  <a href="classOpenSim_1_1Object.html#a351933e7ddc7a7e761e2a8a9cd12728b">More...</a><br /></td></tr>
<tr class="separator:a351933e7ddc7a7e761e2a8a9cd12728b inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae117a439778e50c34d4553df12d2e4ae inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ae117a439778e50c34d4553df12d2e4ae">isObjectUpToDateWithProperties</a> () const</td></tr>
<tr class="memdesc:ae117a439778e50c34d4553df12d2e4ae inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns <code>true</code> if no property's value has changed since the last time <a class="el" href="classOpenSim_1_1Object.html#a6aff140025aa58def7bad8810a6c4652" title="When an object is initialized using the current values of its properties, it can set a flag indicatin...">setObjectIsUpToDateWithProperties()</a> was called.  <a href="classOpenSim_1_1Object.html#ae117a439778e50c34d4553df12d2e4ae">More...</a><br /></td></tr>
<tr class="separator:ae117a439778e50c34d4553df12d2e4ae inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd740e38f08939be0c05b622b2a5f61e inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#abd740e38f08939be0c05b622b2a5f61e">readObjectFromXMLNodeOrFile</a> (SimTK::Xml::Element &amp;objectElement, int versionNumber)</td></tr>
<tr class="memdesc:abd740e38f08939be0c05b622b2a5f61e inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">We're given an XML element from which we are to populate this Object.  <a href="classOpenSim_1_1Object.html#abd740e38f08939be0c05b622b2a5f61e">More...</a><br /></td></tr>
<tr class="separator:abd740e38f08939be0c05b622b2a5f61e inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a988abda95a67bb454373a89fe38f2af7 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a988abda95a67bb454373a89fe38f2af7">updateFromXMLNode</a> (SimTK::Xml::Element &amp;objectElement, int versionNumber)</td></tr>
<tr class="memdesc:a988abda95a67bb454373a89fe38f2af7 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this method to deserialize an object from a SimTK::Xml::Element.  <a href="classOpenSim_1_1Object.html#a988abda95a67bb454373a89fe38f2af7">More...</a><br /></td></tr>
<tr class="separator:a988abda95a67bb454373a89fe38f2af7 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4ab0f4cb534e1c3ed13d42670ed6ec3 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ad4ab0f4cb534e1c3ed13d42670ed6ec3">updateXMLNode</a> (SimTK::Xml::Element &amp;parent, const <a class="el" href="classOpenSim_1_1AbstractProperty.html">AbstractProperty</a> *prop=nullptr) const</td></tr>
<tr class="memdesc:ad4ab0f4cb534e1c3ed13d42670ed6ec3 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serialize this object into the XML node that represents it.  <a href="classOpenSim_1_1Object.html#ad4ab0f4cb534e1c3ed13d42670ed6ec3">More...</a><br /></td></tr>
<tr class="separator:ad4ab0f4cb534e1c3ed13d42670ed6ec3 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32016b09c0f930ef78e08ef9e99d7f80 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a32016b09c0f930ef78e08ef9e99d7f80">getInlined</a> () const</td></tr>
<tr class="memdesc:a32016b09c0f930ef78e08ef9e99d7f80 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inlined means an in-memory <a class="el" href="classOpenSim_1_1Object.html" title="This is the base class for all OpenSim objects that are serializable (meaning they can be written to ...">Object</a> that is not associated with an <a class="el" href="classOpenSim_1_1XMLDocument.html">XMLDocument</a>.  <a href="classOpenSim_1_1Object.html#a32016b09c0f930ef78e08ef9e99d7f80">More...</a><br /></td></tr>
<tr class="separator:a32016b09c0f930ef78e08ef9e99d7f80 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab419ca21895e653bffb4fc5b0ac3afa2 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ab419ca21895e653bffb4fc5b0ac3afa2">setInlined</a> (bool aInlined, const std::string &amp;aFileName=&quot;&quot;)</td></tr>
<tr class="memdesc:ab419ca21895e653bffb4fc5b0ac3afa2 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mark this as inlined or not and optionally provide a file name to associate with the new <a class="el" href="classOpenSim_1_1XMLDocument.html">XMLDocument</a> for the non-inline case.  <a href="classOpenSim_1_1Object.html#ab419ca21895e653bffb4fc5b0ac3afa2">More...</a><br /></td></tr>
<tr class="separator:ab419ca21895e653bffb4fc5b0ac3afa2 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26674406a1078da2383483ce79af8066 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a26674406a1078da2383483ce79af8066">getDocumentFileName</a> () const</td></tr>
<tr class="memdesc:a26674406a1078da2383483ce79af8066 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">If there is a document associated with this object then return the file name maintained by the document.  <a href="classOpenSim_1_1Object.html#a26674406a1078da2383483ce79af8066">More...</a><br /></td></tr>
<tr class="separator:a26674406a1078da2383483ce79af8066 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4b5a7a6c8e4fce9c8644b60012119b4 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#af4b5a7a6c8e4fce9c8644b60012119b4">getDocumentFileVersion</a> () const</td></tr>
<tr class="memdesc:af4b5a7a6c8e4fce9c8644b60012119b4 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">If there is a document associated with this object then return its version number.  <a href="classOpenSim_1_1Object.html#af4b5a7a6c8e4fce9c8644b60012119b4">More...</a><br /></td></tr>
<tr class="separator:af4b5a7a6c8e4fce9c8644b60012119b4 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a092550b5528d3d817022c045e4144183 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a092550b5528d3d817022c045e4144183">setAllPropertiesUseDefault</a> (bool aUseDefault)</td></tr>
<tr class="separator:a092550b5528d3d817022c045e4144183 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73c30a096fbdc4e00c01a0cf0e853255 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a73c30a096fbdc4e00c01a0cf0e853255">print</a> (const std::string &amp;fileName) const</td></tr>
<tr class="memdesc:a73c30a096fbdc4e00c01a0cf0e853255 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write this Object into an XML file of the given name; conventionally the suffix to use is ".osim".  <a href="classOpenSim_1_1Object.html#a73c30a096fbdc4e00c01a0cf0e853255">More...</a><br /></td></tr>
<tr class="separator:a73c30a096fbdc4e00c01a0cf0e853255 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54d201e1b95b4bc8ca80154a166f0236 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a54d201e1b95b4bc8ca80154a166f0236">dump</a> () const</td></tr>
<tr class="memdesc:a54d201e1b95b4bc8ca80154a166f0236 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">dump the XML representation of this Object into an std::string and return it.  <a href="classOpenSim_1_1Object.html#a54d201e1b95b4bc8ca80154a166f0236">More...</a><br /></td></tr>
<tr class="separator:a54d201e1b95b4bc8ca80154a166f0236 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa435db21ddc75dc46161cb0c2d1ef022 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#aa435db21ddc75dc46161cb0c2d1ef022">isA</a> (const char *type) const</td></tr>
<tr class="memdesc:aa435db21ddc75dc46161cb0c2d1ef022 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">The default implementation returns true only if the supplied string is "Object"; each Object-derived class overrides this to match its own class name.  <a href="classOpenSim_1_1Object.html#aa435db21ddc75dc46161cb0c2d1ef022">More...</a><br /></td></tr>
<tr class="separator:aa435db21ddc75dc46161cb0c2d1ef022 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae20f7560c2ff26f0ba64e3cc81887ce8 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ae20f7560c2ff26f0ba64e3cc81887ce8">toString</a> () const</td></tr>
<tr class="memdesc:ae20f7560c2ff26f0ba64e3cc81887ce8 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wrapper to be used on Java side to display objects in tree; this returns just the object's name.  <a href="classOpenSim_1_1Object.html#ae20f7560c2ff26f0ba64e3cc81887ce8">More...</a><br /></td></tr>
<tr class="separator:ae20f7560c2ff26f0ba64e3cc81887ce8 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accf9602cb1075775f01243618e8cf57b inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1PropertySet.html">PropertySet</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#accf9602cb1075775f01243618e8cf57b">getPropertySet</a> ()</td></tr>
<tr class="memdesc:accf9602cb1075775f01243618e8cf57b inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">OBSOLETE: Get a reference to the <a class="el" href="classOpenSim_1_1PropertySet.html" title="A property set is simply a set of properties.">PropertySet</a> maintained by the <a class="el" href="classOpenSim_1_1Object.html" title="This is the base class for all OpenSim objects that are serializable (meaning they can be written to ...">Object</a>.  <a href="classOpenSim_1_1Object.html#accf9602cb1075775f01243618e8cf57b">More...</a><br /></td></tr>
<tr class="separator:accf9602cb1075775f01243618e8cf57b inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab62051f89f23ece69aa8265c9aabb7ec inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOpenSim_1_1PropertySet.html">PropertySet</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ab62051f89f23ece69aa8265c9aabb7ec">getPropertySet</a> () const</td></tr>
<tr class="separator:ab62051f89f23ece69aa8265c9aabb7ec inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description </h2>
<div class="textblock"><p>Reference values for the Orientations of model frames that will be used to to compute tracking errors. </p>
<p>An Orientation is specified by a Rotation matrix describing the frame orientation with respect to <a class="el" href="classOpenSim_1_1Ground.html" title="Ground is an inertial reference frame in which the motion of all Frames and points may conveniently a...">Ground</a>. The reference also contains weightings that identifies the relative importance of achieving one orientation's reference value over another.</p>
<dl class="section author"><dt>Author</dt><dd>Ajay Seth </dd></dl>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a1d7a3eca54b18efc8930f91d008d2722"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d7a3eca54b18efc8930f91d008d2722">&#9670;&nbsp;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1OrientationsReference.html">OrientationsReference</a>* OpenSim::OrientationsReference::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Create a new heap-allocated copy of the concrete object to which this Object refers. </p>
<p>It is up to the caller to delete the returned object when no longer needed. Every concrete object deriving from Object implements this pure virtual method automatically, via the declaration macro it invokes (e.g., <a class="el" href="classOpenSim_1_1Object.html#a13075f96c92f1a0f18b791adf0fa255b" title="Macro to be included as the first line of the class declaration for any non-templatized,...">OpenSim_DECLARE_CONCRETE_OBJECT()</a>). Note that the concrete class overrides modify the return type to be a pointer to the <em>concrete</em> object; that still overrides the base class method because the return type is covariant with (that is, derives from) Object. </p>

<p>Implements <a class="el" href="classOpenSim_1_1StreamableReference__.html#a860287573a91d1f3327981b2a57e823d">OpenSim::StreamableReference_&lt; SimTK::Rotation_&lt; double &gt; &gt;</a>.</p>

</div>
</div>
<a id="a2d8208b72c97bcfaff5cf99efd25fd63"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d8208b72c97bcfaff5cf99efd25fd63">&#9670;&nbsp;</a></span>getClassName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string&amp; OpenSim::OrientationsReference::getClassName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This returns "OrientationsReference" <br  />
 </p>
<p>See <a class="el" href="classOpenSim_1_1OrientationsReference.html#af28a696c3ce39c66e13f71ae9daf7c1a" title="Returns the class name of the concrete Object-derived class of the actual object referenced by this O...">getConcreteClassName()</a> if you want the class name of the underlying concrete object instead. <br  />
 </p>

</div>
</div>
<a id="af28a696c3ce39c66e13f71ae9daf7c1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af28a696c3ce39c66e13f71ae9daf7c1a">&#9670;&nbsp;</a></span>getConcreteClassName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string&amp; OpenSim::OrientationsReference::getConcreteClassName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the class name of the concrete Object-derived class of the actual object referenced by this Object, as a string. </p>
<p>This is the string that is used as the tag for this concrete object in an XML file. Every concrete class derived from Object automatically overrides this method via the declaration macro it uses. See <a class="el" href="classOpenSim_1_1OrientationsReference.html#a2d8208b72c97bcfaff5cf99efd25fd63" title="This returns &quot;OrientationsReference&quot;">getClassName()</a> to get the class name of the referencing (possibly abstract) class rather than the concrete object. </p><dl class="section see"><dt>See also</dt><dd><a class="el" href="classOpenSim_1_1OrientationsReference.html#a2d8208b72c97bcfaff5cf99efd25fd63" title="This returns &quot;OrientationsReference&quot;">getClassName()</a> </dd></dl>

<p>Implements <a class="el" href="classOpenSim_1_1StreamableReference__.html#a74e4f376bf4e062031f183dffe536aab">OpenSim::StreamableReference_&lt; SimTK::Rotation_&lt; double &gt; &gt;</a>.</p>

</div>
</div>
<a id="a09b6d6375de1c400d032207a143cb274"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09b6d6375de1c400d032207a143cb274">&#9670;&nbsp;</a></span>safeDownCast()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOpenSim_1_1OrientationsReference.html">OrientationsReference</a>* OpenSim::OrientationsReference::safeDownCast </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>For use in MATLAB and Python to access the concrete class. </p>
<p>Example: <code>cObj = OrientationsReference.safeDownCast(obj)</code>. This is equivalent to <code>dynamic_cast&lt;OrientationsReference*&gt;(obj)</code> in C++. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>OpenSim/Simulation/OrientationsReference.h</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceOpenSim.html">OpenSim</a></li><li class="navelem"><a class="el" href="classOpenSim_1_1OrientationsReference.html">OrientationsReference</a></li>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:48 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
